import { Component } from '@angular/core';
import { MatSnackBarRef } from '@angular/material/snack-bar';

@Component({
  selector: 'app-copy-chat-messages-snackbar',
  templateUrl: './copy-chat-messages-snackbar.component.html',
  styleUrls: ['./copy-chat-messages-snackbar.component.scss'],
})
export class CopyChatMessagesSnackbarComponent {
  constructor(public snackBarRef: MatSnackBarRef<CopyChatMessagesSnackbarComponent>) {}

  cancel(): void {
    this.snackBarRef.dismiss();
  }
  copy(): void {
    this.snackBarRef.dismissWithAction();
  }
}
